=== debian/changelog ===
openoverlayrouter (1.1.1+ds1-1ubuntu1) artful; urgency=medium

  * Set source section to misc, as done for the binary package.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 10 Oct 2017 08:09:43 +0200

openoverlayrouter (1.1.1+ds1-1) unstable; urgency=medium

  * Initial release (Closes: #853880)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 12 Feb 2017 18:10:00 +0100
