=== debian/control ===
Source: openoverlayrouter
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Section: misc
Priority: optional
Build-Depends: debhelper (>=10)
	, dh-exec (>=0.2)
        , quilt
	, libzmq3-dev
	, libconfuse-dev
	, libcap2-bin
	, gengetopt
	, libxml2-dev
Standards-Version: 3.9.8
Homepage: http://openoverlayrouter.org/

Package: openoverlayrouter
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends} 
Description: deploy programmable overlay networks
 The OpenOverlayRouter (OOR) project aims to deliver a flexible and modular
 open-source implementation to deploy programmable overlay networks. It
 leverages on encapsulating overlay-specific packets into underlay-compatible
 packets at the edges of the instantiated overlay and route them over the
 physical underlying infrastructure. In order to do so, it maps overlay
 identifiers to underlay locators and keeps those mappings updated over 
 time. In the current version, OOR uses the LISP protocol for the 
 control-plane (e.g. mapping retrieval and updating, etc), NETCONF/YANG for 
 the management-plane (e.g. overlay identifiers provisioning, etc) and can 
 use both LISP and VXLAN-GPE headers for encapsulation.
