## openoverlayrouter 1.2.0%2Bds1

=== debian/watch ===
version=3
opts=repacksuffix=+ds1,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/openoverlayrouter-$1\.tar\.gz/ \
https://github.com/OpenOverlayRouter/oor/tags .*/v?(\d\S+)\.tar\.gz
