=== oor/Makefile ===
--- 
+++ 
@@ -1,13 +1,20 @@
-#
-#    Makefile for oor
 #
 #
+# Copyright (C) 2011, 2015 Cisco Systems, Inc.
+# Copyright (C) 2015 CBA research group, Technical University of Catalonia.
 #
-#    David Meyer
-#    dmm@1-4-5.net
-#    Mon Apr 19 11:40:19 2010
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
 #
-#    $Header: /home/dmm/lisp/lispd/RCS/Makefile,v 1.2 2010/04/19 22:02:33 dmm Exp $
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
 #
 
 
@@ -20,24 +27,35 @@
 
 
 ifeq "$(platform)" ""
-CFLAGS     += -Wall -std=gnu89 -g -I/usr/include/libxml2
+CFLAGS     += -Wall -std=gnu89 -g -I/usr/include/libxml2 -D_GNU_SOURCE
 LIBS        = -lconfuse -lrt -lm -lzmq -lxml2
 else
 ifeq "$(platform)" "openwrt"
-CFLAGS     += -Wall -std=gnu89 -g -I/usr/include/libxml2 -DOPENWRT 
-LIBS        = -lrt -lm -lzmq -lxml2 -luci
+CFLAGS     += -Wall -std=gnu89 -g -I/usr/include/libxml2 -DOPENWRT -D_GNU_SOURCE
+LIBS        = -lrt -lm -luci
+else
+ifeq "$(platform)" "vpp"
+CFLAGS     += -Wall -std=gnu89 -g -I/usr/include/libxml2 -I/usr/include/vpp_plugins -DVPP -D_GNU_SOURCE
+LIBS        = -lconfuse -lrt -lm -lzmq -lxml2 -lvlibmemoryclient -lvlibapi -lsvm -lvppinfra -lpthread -ldl
 else
 ERROR       = true
 endif
 endif
+endif
+
+
+vpp_api_test_DEPENDENCIES =  \
+        libvlib.la \
+        libvatplugin.la \
+        libvlibmemory.la libvnet.la
+
+
 
 INC         = defs.h
 MAKEFILE    = Makefile
 
 OBJS        = cmdline.o                  \
           config/oor_config_functions.o  \
-          config/oor_api.o               \
-          config/oor_api_internals.o     \
           control/oor_control.o          \
           control/oor_ctrl_device.o      \
           control/oor_local_db.o         \
@@ -48,6 +66,7 @@
           control/control-data-plane/tun/cdp_tun.o           \
           data-plane/encapsulations/vxlan-gpe.o              \
           data-plane/data-plane.o        \
+          data-plane/ttable.o            \
           data-plane/tun/tun_input.o     \
           data-plane/tun/tun_output.o    \
           data-plane/tun/tun.o           \
@@ -56,9 +75,12 @@
           elibs/mbedtls/sha256.o         \
           elibs/mbedtls/md_wrap.o        \
           elibs/patricia/patricia.o      \
+          fwd_policies/balancing_locators.o                  \
+          fwd_policies/fwd_addr_func.o   \
           fwd_policies/fwd_policy.o      \
-          fwd_policies/flow_balancing/fb_addr_func.o         \
+          fwd_policies/fwd_utils.o       \
           fwd_policies/flow_balancing/flow_balancing.o       \
+          fwd_policies/flow_balancing/fwd_entry_tuple.o      \
           liblisp/liblisp.o              \
           liblisp/lisp_address.o         \
           liblisp/lisp_data.o            \
@@ -73,6 +95,7 @@
           lib/hmac.o                     \
           lib/iface_locators.o           \
           lib/int_table.o                \
+          lib/interfaces_lib.o	         \
           lib/lbuf.o                     \
           lib/lisp_site.o                \
           lib/oor_log.o                  \
@@ -90,10 +113,12 @@
           lib/shash.o                    \
           lib/timers.o                   \
           lib/timers_utils.o             \
-          lib/ttable.o                   \
           lib/util.o                     \
+          net_mgr/net_mgr.o              \
+          net_mgr/net_mgr_proc_fc.o      \
+          net_mgr/kernel/netm_kernel.o   \
+          net_mgr/kernel/iface_mgmt.o    \
           iface_list.o                   \
-          iface_mgmt.o                   \
           oor.o                        
           
 ifeq "$(platform)" "openwrt"
@@ -101,12 +126,30 @@
           config/oor_config_uci.o
 else
 OBJS    := $(OBJS) \
+          config/oor_api.o               \
+          config/oor_api_internals.o     \
           config/oor_config_confuse.o
+endif
+
+ifeq "$(platform)" "vpp"
+OBJS    := $(OBJS) \
+          control/control-data-plane/vpp/cdp_vpp.o           \
+          data-plane/vpp/vpp.o              \
+          fwd_policies/vpp_balancing/fwd_entry_vpp.o         \
+          fwd_policies/vpp_balancing/vpp_balancing.o         \
+          lib/vpp_api/vpp_api.o             \
+          lib/vpp_api/vpp_api_reply.o       \
+          lib/vpp_api/vpp_api_requests.o    \
+          lib/vpp_api/ctrl_vpp_plugin.o     \
+          lib/vpp_api/pkt_miss_vpp_plugin.o \
+          net_mgr/vpp/netm_vpp.o
+
 endif
 
 EXE        	= oor
 PREFIX      = /usr/local/sbin
-INCLUDE     = -I. -Iliblisp -Ielibs -Ilib -Icontrol -Idata-tun -Ifwd_balancing -Ifwd_balancing/flow_balancing
+INCLUDE     = -I. -Iliblisp -Ielibs -Ilib -Icontrol -Idata-tun -Ifwd_balancing -Ifwd_policies/flow_balancing \
+			-Inet_mgr -Inet_mgr/kernel -Inet_mgr/vpp
 
 $(EXE): $(OBJS)
 	$(CC) -o $@ $^ $(CFLAGS) $(LDFLAGS) $(LIBS)   
@@ -130,12 +173,14 @@
         elibs/libcfu/*o \
         elibs/mbedtls/*o \
         liblisp/*o liblisp/hmac/*o \
-        lib/*o \
-        config/*o control/*o control/control-data-plane/*o \
+        lib/*o lib/vpp_api/*o \
+        net_mgr/*o net_mgr/kernel/*o net_mgr/vpp/*o \
+		config/*o control/*o control/control-data-plane/*o \
         control/control-data-plane/tun/*o control/control-data-plane/vpnapi/*o \
+        control/control-data-plane/vpp/*o \
         data-plane/encapsulations/*o \
-        data-plane/*o data-plane/tun/*o data-plane/vpnapi/*o\
-        fwd_policies/*o fwd_policies/flow_balancing/*o
+        data-plane/*o data-plane/tun/*o data-plane/vpnapi/*o data-plane/vpp/*o \
+        fwd_policies/*o fwd_policies/flow_balancing/*o fwd_policies/vpp_balancing/*o
 
 distclean: clean
 	rm -f cmdline.[ch] cscope.out
@@ -146,4 +191,3 @@
 
 tags:
 	cscope -R -b
-
