=== debian/changelog ===
openoverlayrouter (1.2.0+ds1-2build1) bionic; urgency=medium

  * No-change rebuild against libconfuse2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Dec 2017 16:17:10 +0000

openoverlayrouter (1.2.0+ds1-2) unstable; urgency=medium

  * Set source section to misc, as done for the binary package.
    (Closes: #878116) (suggested by Matthias Klose)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 06 Nov 2017 18:46:00 +0100

openoverlayrouter (1.2.0+ds1-1) unstable; urgency=medium

  * new upstream release
  * update patches
  * debian/control: bump standard to 4.1.0 (no changes)
  * debian/control: put maintenance to debian-iot

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 18 Sep 2017 19:10:00 +0200
