=== debian/control ===
--- 
+++ 
@@ -1,5 +1,7 @@
 Source: openoverlayrouter
-Maintainer: Thorsten Alteholz <debian@alteholz.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
+Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Section: misc
 Priority: optional
 Build-Depends: debhelper (>=10)
@@ -10,8 +12,10 @@
 	, libcap2-bin
 	, gengetopt
 	, libxml2-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: http://openoverlayrouter.org/
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-iot/oor.git
+Vcs-Git: https://anonscm.debian.org/git/debian-iot/oor.git
 
 Package: openoverlayrouter
 Architecture: any
