## openoverlayrouter 1.2.1+ds1

=== debian/changelog ===
openoverlayrouter (1.2.1+ds1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.1.5 (no changes)
  * debian/control: use dh11
  * debian/control: add salsa URLs

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 07 Jul 2018 14:18:55 +0200
