=== debian/control ===
Source: openoverlayrouter
Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Section: misc
Priority: optional
Build-Depends: debhelper (>=11)
	, dh-exec (>=0.2)
        , quilt
	, libzmq3-dev
	, libconfuse-dev
	, libcap2-bin
	, gengetopt
	, libxml2-dev
Standards-Version: 4.1.5
Homepage: http://openoverlayrouter.org/
Vcs-Browser: https://salsa.debian.org/debian-iot-team/oor
Vcs-Git: https://salsa.debian.org/debian-iot-team/oor.git

Package: openoverlayrouter
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: deploy programmable overlay networks
 The OpenOverlayRouter (OOR) project aims to deliver a flexible and modular
 open-source implementation to deploy programmable overlay networks. It
 leverages on encapsulating overlay-specific packets into underlay-compatible
 packets at the edges of the instantiated overlay and route them over the
 physical underlying infrastructure. In order to do so, it maps overlay
 identifiers to underlay locators and keeps those mappings updated over
 time. In the current version, OOR uses the LISP protocol for the
 control-plane (e.g. mapping retrieval and updating, etc), NETCONF/YANG for
 the management-plane (e.g. overlay identifiers provisioning, etc) and can
 use both LISP and VXLAN-GPE headers for encapsulation.
