=== tests/Makefile ===
all: tests

tests: udp tcp

udp:
	gcc -o udp_echo_server udp_echo_server.c
	gcc -o udp_echo_client udp_echo_client.c

tcp:
	gcc -o tcp_echo_server tcp_echo_server.c
	gcc -o tcp_echo_client tcp_echo_client.c

clean:
	rm -f udp_echo_server udp_echo_client tcp_echo_server tcp_echo_client
