=== debian/changelog ===
openoverlayrouter (1.2.2+ds1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.2.1 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 17 Nov 2018 23:10:10 +0100
