=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	, libcap2-bin
 	, gengetopt
 	, libxml2-dev
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Homepage: http://openoverlayrouter.org/
 Vcs-Browser: https://salsa.debian.org/debian-iot-team/oor
 Vcs-Git: https://salsa.debian.org/debian-iot-team/oor.git
