## openoverlayrouter 1.3.0%2Bds1

=== debian/changelog ===
openoverlayrouter (1.3.0+ds1-4build2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Wed, 11 Feb 2026 23:31:39 +0100

openoverlayrouter (1.3.0+ds1-4build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:19:28 +0200

openoverlayrouter (1.3.0+ds1-4) unstable; urgency=medium

  * debian/control: add dh-sequence-movetousr as build-dependency
  * debian/control: bump standard to 4.7.0 (no changes)
  * debian/watch: update to version 4 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 26 May 2024 23:24:37 +0200

openoverlayrouter (1.3.0+ds1-3) unstable; urgency=medium

  * Team upload
  * Fix gcc-10 warnings (Closes: #957641)
  * debian/control: bump standard to 4.5.0 (no changes)
  * d/control: uses debhelper-compat instead of debhelper, remove d/compat
  * d/control: set debhelper-cpmpat version to 13
  * d/control: Add Rules-Requires-Root: no
  * d/control: remove quilt from builddep
  * d/control: fix team e-mail address
  * d/copyright: add debian/* copyright notice

 -- Nicolas Mora <babelouest@debian.org>  Wed, 29 Jul 2020 23:32:06 -0400

openoverlayrouter (1.3.0+ds1-2) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 25 Aug 2019 19:24:37 +0200

openoverlayrouter (1.3.0+ds1-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.3.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 10 May 2019 20:24:37 +0200
