## openoverlayrouter 1.3.0+ds1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,9 @@
 DIRS = oor
 BUILDDIRS = $(DIRS:%=build-%)
 INSTALLDIRS = $(DIRS:%=install-%)
+UNINSTALLDIRS = $(DIRS:%=uninstall-%)
 CLEANDIRS = $(DIRS:%=clean-%) android
+
 
 all: $(BUILDDIRS)
 $(DIRS): $(BUILDDIRS)
@@ -12,6 +14,10 @@
 $(INSTALLDIRS):
 	$(MAKE) -C $(@:install-%=%) install
 
+uninstall: $(UNINSTALLDIRS)
+$(UNINSTALLDIRS):
+	$(MAKE) -C $(@:uninstall-%=%) uninstall	
+
 clean: $(CLEANDIRS)
 $(CLEANDIRS):
 	$(MAKE) -C $(@:clean-%=%) clean
