=== oor/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9)
project(oor)

set(CMAKE_CXX_STANDARD 11)

include_directories(/usr/local/include /usr/local/include/libxml2 /usr/include/libxml2 /usr/local/opt/libxml2/include/libxml2 .)

add_executable(oor
        config/oor_api.c
        config/oor_api.h
        config/oor_api_internals.c
        config/oor_api_internals.h
        config/oor_config_confuse.c
        config/oor_config_confuse.h
        config/oor_config_functions.c
        config/oor_config_functions.h
        config/oor_config_uci.c
        config/oor_config_uci.h
        control/control-data-plane/tun/cdp_tun.c
        control/control-data-plane/tun/cdp_tun.h
        control/control-data-plane/vpnapi/cdp_vpnapi.c
        control/control-data-plane/vpnapi/cdp_vpnapi.h
        control/control-data-plane/vpp/cdp_vpp.c
        control/control-data-plane/vpp/cdp_vpp.h
        control/control-data-plane/control-data-plane.c
        control/control-data-plane/control-data-plane.h
        control/lisp_ms.c
        control/lisp_ms.h
        control/lisp_rtr.c
        control/lisp_rtr.h
        control/lisp_tr.c
        control/lisp_tr.h
        control/lisp_xtr.c
        control/lisp_xtr.h
        control/oor_control.c
        control/oor_control.h
        control/oor_ctrl_device.c
        control/oor_ctrl_device.h
        control/oor_local_db.c
        control/oor_local_db.h
        control/oor_map_cache.c
        control/oor_map_cache.h
        data-plane/encapsulations/vxlan-gpe.c
        data-plane/encapsulations/vxlan-gpe.h
        data-plane/tun/tun.c
        data-plane/tun/tun.h
        data-plane/tun/tun_input.c
        data-plane/tun/tun_input.h
        data-plane/tun/tun_output.c
        data-plane/tun/tun_output.h
        data-plane/vpnapi/vpnapi.c
        data-plane/vpnapi/vpnapi.h
        data-plane/vpnapi/vpnapi_input.c
        data-plane/vpnapi/vpnapi_input.h
        data-plane/vpnapi/vpnapi_output.c
        data-plane/vpnapi/vpnapi_output.h
        data-plane/vpp/vpp.c
        data-plane/vpp/vpp.h
        data-plane/data-plane.c
        data-plane/data-plane.h
        data-plane/ttable.c
        data-plane/ttable.h
        elibs/bob/lookup3.c
        elibs/khash/khash.h
        elibs/mbedtls/md.c
        elibs/mbedtls/md.h
        elibs/mbedtls/md_internal.h
        elibs/mbedtls/md_wrap.c
        elibs/mbedtls/sha1.c
        elibs/mbedtls/sha1.h
        elibs/mbedtls/sha256.c
        elibs/mbedtls/sha256.h
        elibs/ovs/list.h
        elibs/ovs/ovs_util.h
        elibs/patricia/patricia.c
        elibs/patricia/patricia.h
        fwd_policies/flow_balancing/fb_addr_func.c
        fwd_policies/flow_balancing/fb_addr_func.h
        fwd_policies/flow_balancing/flow_balancing.c
        fwd_policies/flow_balancing/flow_balancing.h
        fwd_policies/flow_balancing/fwd_entry_tuple.c
        fwd_policies/flow_balancing/fwd_entry_tuple.h
        fwd_policies/vpp_balancing/fwd_entry_vpp.c
        fwd_policies/vpp_balancing/fwd_entry_vpp.h
        fwd_policies/vpp_balancing/vpp_balancing.c
        fwd_policies/vpp_balancing/vpp_balancing.h
        fwd_policies/balancing_locators.c
        fwd_policies/balancing_locators.h
        fwd_policies/fwd_addr_func.c
        fwd_policies/fwd_addr_func.h
        fwd_policies/fwd_policy.c
        fwd_policies/fwd_policy.h
        fwd_policies/fwd_utils.c
        fwd_policies/fwd_utils.h
        lib/vpp_api/ctrl_vpp_plugin.c
        lib/vpp_api/pkt_miss_vpp_plugin.c
        lib/vpp_api/vpp_api.c
        lib/vpp_api/vpp_api.h
        lib/vpp_api/vpp_api_reply.c
        lib/vpp_api/vpp_api_requests.c
        lib/vpp_api/vpp_api_requests.h
        lib/cksum.c
        lib/cksum.h
        lib/generic_list.c
        lib/generic_list.h
        lib/hmac.c
        lib/hmac.h
        lib/htable_ptrs.c
        lib/htable_ptrs.h
        lib/iface_locators.c
        lib/iface_locators.h
        lib/int_table.c
        lib/int_table.h
        lib/interfaces_lib.c
        lib/interfaces_lib.h
        lib/lbuf.c
        lib/lbuf.h
        lib/lisp_site.c
        lib/lisp_site.h
        lib/map_cache_entry.c
        lib/map_cache_entry.h
        lib/map_cache_rtr_data.c
        lib/map_cache_rtr_data.h
        lib/map_local_entry.c
        lib/map_local_entry.h
        lib/mapping_db.c
        lib/mapping_db.h
        lib/mem_util.c
        lib/mem_util.h
        lib/nonces_table.c
        lib/nonces_table.h
        lib/oor_log.c
        lib/oor_log.h
        lib/packets.c
        lib/packets.h
        lib/prefixes.c
        lib/prefixes.h
        lib/routing_tables_lib.c
        lib/routing_tables_lib.h
        lib/shash.c
        lib/shash.h
        lib/sockets-util.c
        lib/sockets-util.h
        lib/sockets.c
        lib/sockets.h
        lib/timers.c
        lib/timers.h
        lib/timers_utils.c
        lib/timers_utils.h
        lib/util.c
        lib/util.h
        liblisp/liblisp.c
        liblisp/liblisp.h
        liblisp/lisp_address.c
        liblisp/lisp_address.h
        liblisp/lisp_data.c
        liblisp/lisp_data.h
        liblisp/lisp_ip.c
        liblisp/lisp_ip.h
        liblisp/lisp_lcaf.c
        liblisp/lisp_lcaf.h
        liblisp/lisp_locator.c
        liblisp/lisp_locator.h
        liblisp/lisp_mapping.c
        liblisp/lisp_mapping.h
        liblisp/lisp_message_fields.c
        liblisp/lisp_message_fields.h
        liblisp/lisp_messages.c
        liblisp/lisp_messages.h
        net_mgr/kernel/iface_mgmt.c
        net_mgr/kernel/iface_mgmt.h
        net_mgr/kernel/netm_kernel.c
        net_mgr/kernel/netm_kernel.h
        net_mgr/vpp/netm_vpp.c
        net_mgr/vpp/netm_vpp.h
        net_mgr/net_mgr.c
        net_mgr/net_mgr.h
        net_mgr/net_mgr_proc_fc.c
        net_mgr/net_mgr_proc_fc.h
        cmdline.c
        cmdline.h
        defs.h
        iface_list.c
        iface_list.h
        oor.c
        oor.h
        oor_external.h
        oor_jni.c
        oor_jni.h)
