=== oor/Makefile ===
--- 
+++ 
@@ -64,6 +64,8 @@
           control/lisp_tr.o              \
           control/lisp_xtr.o             \
           control/lisp_ms.o              \
+          control/lisp_ddt_node.o        \
+          control/lisp_ddt_mr.o          \
           control/control-data-plane/control-data-plane.o    \
           control/control-data-plane/tun/cdp_tun.o           \
           data-plane/encapsulations/vxlan-gpe.o              \
@@ -90,6 +92,7 @@
           liblisp/lisp_lcaf.o            \
           liblisp/lisp_locator.o         \
           liblisp/lisp_mapping.o         \
+          liblisp/lisp_mref_mapping.o    \
           liblisp/lisp_messages.o        \
           liblisp/lisp_message_fields.o  \
           lib/cksum.o                    \
@@ -104,6 +107,7 @@
           lib/oor_log.o                  \
           lib/mapping_db.o               \
           lib/map_cache_entry.o          \
+          lib/ddt_map_cache_entry.o      \
           lib/map_cache_rtr_data.o       \
           lib/map_local_entry.o          \
           lib/mem_util.o                 \
@@ -151,6 +155,8 @@
 
 EXE        	= oor
 PREFIX      = /usr/local/sbin
+SERVICE     = oor.service
+SERVICEPREF	= /etc/systemd/system/
 INCLUDE     = -I. -Iliblisp -Ielibs -Ilib -Icontrol -Idata-tun -Ifwd_balancing -Ifwd_policies/flow_balancing \
 			-Inet_mgr -Inet_mgr/kernel -Inet_mgr/vpp
 
@@ -190,7 +196,12 @@
 
 install: $(EXE)
 	mkdir -p $(DESTDIR)$(PREFIX) && cp $(EXE) $(DESTDIR)$(PREFIX)
+	cp $(SERVICE) $(SERVICEPREF)
 	setcap cap_net_raw,cap_net_admin+ep $(DESTDIR)$(PREFIX)/$(EXE)
+
+uninstall:
+	rm $(DESTDIR)$(PREFIX)/$(EXE)
+	rm $(SERVICEPREF)$(SERVICE)
 
 tags:
 	cscope -R -b
