=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: openoverlayrouter
-Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
+Maintainer: Debian IoT Maintainers <debian-iot-maintainers@alioth-lists.debian.net>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Section: misc
 Priority: optional
-Build-Depends: debhelper (>=11)
+Build-Depends: debhelper-compat (=13)
 	, dh-exec (>=0.2)
-        , quilt
 	, libzmq3-dev
 	, libconfuse-dev
 	, libcap2-bin
 	, gengetopt
 	, libxml2-dev
-Standards-Version: 4.2.1
+	, dh-sequence-movetousr
+Standards-Version: 4.7.0
 Homepage: http://openoverlayrouter.org/
 Vcs-Browser: https://salsa.debian.org/debian-iot-team/oor
 Vcs-Git: https://salsa.debian.org/debian-iot-team/oor.git
+Rules-Requires-Root: no
 
 Package: openoverlayrouter
 Architecture: any
