=== debian/watch ===
version=4
opts=repacksuffix=+ds1,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/openoverlayrouter-$1\.tar\.gz/ \
https://github.com/OpenOverlayRouter/oor/tags .*/v?(\d\S+)\.tar\.gz debian uupdate
